/* wrap_pwd.h: Copyright (C) TOYODA Eizi, 1997
 * In the public domain.
 */

#ifndef _WRAP_PWD_H
# define _WRAP_PWD_H

struct passwd *wrap_getpwnam(const char *name);
struct passwd *wrap_getpwuid(uid_t uid);

# ifndef _WRAP_PWD_NO_MACROS
#  define getpwnam(name)      wrap_getpwnam(name)
#  define getpwuid(uid)               wrap_getpwuid(uid)
# endif /* _WRAP_PWD_NO_MACROS */

#endif /* _WRAP_PWD_H */
